Bug 1662630 - Any plans to update python-basemap?
Summary: Any plans to update python-basemap?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-basemap
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-31 07:10 UTC by Adrian Reber
Modified: 2019-06-20 03:52 UTC (History)
2 users (show)

Fixed In Version: python-basemap-1.2.0-1.fc30 python-basemap-1.2.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-19 22:45:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Adrian Reber 2018-12-31 07:10:35 UTC
Description of problem:
On Fedora 29 I get following warnings with python-basemap:

/usr/lib64/python2.7/site-packages/mpl_toolkits/basemap/__init__.py:4983: MatplotlibDeprecationWarning: The is_scalar function was deprecated in version 2.1
  elif masked and is_scalar(masked):
/usr/lib64/python2.7/site-packages/mpl_toolkits/basemap/__init__.py:3296: MatplotlibDeprecationWarning: The ishold function was deprecated in version 2.0.
  b = ax.ishold()
/usr/lib64/python2.7/site-packages/mpl_toolkits/basemap/__init__.py:3305: MatplotlibDeprecationWarning: axes.hold is deprecated.
    See the API Changes document (http://matplotlib.org/api/api_changes.html)
    for more details.
  ax.hold(b)


Version-Release number of selected component (if applicable):
python2-basemap-1.0.7-27.fc29.x86_64

It seems there are new releases available at: https://github.com/matplotlib/basemap/releases

According to https://github.com/matplotlib/matplotlib/issues/7808/ the newer releases could solve these warnings.

Comment 1 Matthew Krupcale 2019-05-02 01:25:44 UTC
I'm also on F29, and I got the following error:

Traceback (most recent call last):
  File "detector_map.py", line 54, in <module>
    geo_map.fillcontinents(color='#f1f4c7', lake_color='#a5bfdd', zorder=0)
  File "/usr/lib64/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 1767, in fillcontinents
    axisbgc = ax.get_axis_bgcolor()
AttributeError: 'AxesSubplot' object has no attribute 'get_axis_bgcolor'

This also appears to be fixed upstream[1] in 1.1.0. On the other hand, I'm not sure about the long-term maintenance of basemap since it seems like it's being deprecated in favor of cartopy[2].

[1] https://github.com/matplotlib/basemap/issues/395
[2] https://matplotlib.org/basemap/users/intro.html

Comment 2 Fedora Update System 2019-06-11 14:08:27 UTC
FEDORA-2019-70b52ef7ad has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-70b52ef7ad

Comment 3 Fedora Update System 2019-06-11 14:08:27 UTC
FEDORA-2019-7c36334458 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c36334458

Comment 4 Fedora Update System 2019-06-12 01:30:11 UTC
python-basemap-1.2.0-1.fc30, python-basemap-data-1.2.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c36334458

Comment 5 Fedora Update System 2019-06-12 01:31:50 UTC
python-basemap-1.2.0-1.fc29, python-basemap-data-1.2.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-70b52ef7ad

Comment 6 Fedora Update System 2019-06-19 22:45:26 UTC
python-basemap-1.2.0-1.fc30, python-basemap-data-1.2.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-06-20 03:52:44 UTC
python-basemap-1.2.0-1.fc29, python-basemap-data-1.2.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.